[ubuntu-mono] [Bug 877776] Re: ocelot: system not supported

Paul Childs 877776 at bugs.launchpad.net
Sun Oct 30 10:06:14 UTC 2011


Thanks Alessandro,
It seems to be running smoothly again. No problems since (though I haven't
reinstalled just manually added the dependency -- guess I should else I
might uninstall the dependency and not get a warning). I shall have to
learn how to do the patching myself as I'll probably be doing some
packaging in the near future. Looks pretty straightforward (at least in
this case). Of course there's knowing where to send stuff and the rest of
the protocol.

On 30 October 2011 04:54, Alessandro Menti
<877776 at bugs.launchpad.net>wrote:

> Thanks, Paul - I am attaching a revised version of the patch based on
> your suggestion.
>
> I have also fixed some minor bugs in the "debian/control" and
> "debian/rules" files, all found through lintian:
> * ${misc:Depends} has been added to the Depends field;
> * the Standards-Version field has been updated to the current version of
> the Debian Package Guidelines;
> * the "build-arch" and "build-indep" targets have been added (they follow
> the form suggested in /usr/share/lintian/checks/rules.desc).
>
> I haven't tested that the package builds correctly yet, but am creating
> a pbuilder build environment and will post the results as soon as the
> creation and test are over.
>
> Please let me know if there is something else that needs to be fixed.
>
> ** Patch added: "Add missing dependency and fix minor bugs in
> debian/control and debian/rules (revision 2)"
>
> https://bugs.launchpad.net/ubuntu/+source/openbve/+bug/877776/+attachment/2578094/+files/openbve_1.2.10.0-0ubuntu3.debdiff
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/877776
>
> Title:
>  ocelot: system not supported
>
> Status in “openbve” package in Ubuntu:
>  Confirmed
>
> Bug description:
>  openBVE does not run since I upgraded from Natty a few days ago. This is
> the terminal output
>  ~$openbve
>  System.NotSupportedException: CodePage 37 not supported
>    at System.Text.Encoding.GetEncoding (Int32 codepage) [0x00000] in
> <filename unknown>:0
>    at System.Text.EncodingInfo.GetEncoding () [0x00000] in <filename
> unknown>:0
>    at System.Text.EncodingInfo.get_Name () [0x00000] in <filename
> unknown>:0
>    at System.Text.EncodingInfo.get_DisplayName () [0x00000] in <filename
> unknown>:0
>    at OpenBve.formMain.formMain_Load (System.Object sender,
> System.EventArgs e) [0x00000] in <filename unknown>:0
>    at System.Windows.Forms.Form.OnLoad (System.EventArgs e) [0x00000] in
> <filename unknown>:0
>    at System.Windows.Forms.Form.OnLoadInternal (System.EventArgs e)
> [0x00000] in <filename unknown>:0
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/openbve/+bug/877776/+subscriptions
>

-- 
You received this bug notification because you are a member of Ubuntu
CLI/Mono Uploaders, which is subscribed to openbve in Ubuntu.
https://bugs.launchpad.net/bugs/877776

Title:
  ocelot: system not supported

Status in “openbve” package in Ubuntu:
  Confirmed

Bug description:
  openBVE does not run since I upgraded from Natty a few days ago. This is the terminal output
  ~$openbve
  System.NotSupportedException: CodePage 37 not supported
    at System.Text.Encoding.GetEncoding (Int32 codepage) [0x00000] in <filename unknown>:0 
    at System.Text.EncodingInfo.GetEncoding () [0x00000] in <filename unknown>:0 
    at System.Text.EncodingInfo.get_Name () [0x00000] in <filename unknown>:0 
    at System.Text.EncodingInfo.get_DisplayName () [0x00000] in <filename unknown>:0 
    at OpenBve.formMain.formMain_Load (System.Object sender, System.EventArgs e) [0x00000] in <filename unknown>:0 
    at System.Windows.Forms.Form.OnLoad (System.EventArgs e) [0x00000] in <filename unknown>:0 
    at System.Windows.Forms.Form.OnLoadInternal (System.EventArgs e) [0x00000] in <filename unknown>:0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openbve/+bug/877776/+subscriptions



More information about the Ubuntu-mono mailing list